## Cas 协议接入流程说明

> CAS协议 - 适用B/S架构的系统，基于浏览器 Cookie 实现单点登录。可为各业务系统/平台提供统一的登录认证界面，并实现业务系统/平台间的互信！

#### 接入流程

> 开发者可参考一下流程进行业务系统的统一身份认证接入！

```seq
participant 开发者
participant 统一身份认证平台
participant 数据/业务接口平台
Note over 开发者,数据/业务接口平台: Step 1、在开放平台创建应用
统一身份认证平台 --> 开发者: 1.1、应用审核通过后返回应用的 client_id、client_secret
Note over 开发者,数据/业务接口平台: Step 2、为应用申请认证接口、数据接口、业务接口
开发者 -> 数据/业务接口平台: 2.1、申请认证接口、数据接口、业务接口等需要的接口调用
Note left of 数据/业务接口平台: 应用服务组织机构的“API授权审核管理员”审核接口申请
数据/业务接口平台 --> 开发者: 2.2、授权通过申请的认证接口、数据接口、业务接口
Note over 开发者,数据/业务接口平台: Step 3、选择合适的Cas客户端，编写认证集成代码
开发者 -> 统一身份认证平台: 3.1、根据三方系统集成Cas客户端，编写认证代码和配置
开发者 -> 统一身份认证平台: 3.2、开发者根据 “认证文档” 自主进行认证联调：https://cas_server_url/cas/login
统一身份认证平台 --> 开发者: 3.3、Cas 登录成功返回认证信息，认证联调完成
Note over 开发者,数据/业务接口平台: Step 4、根据认证信息匹配本地账号，完成认证账号关联
开发者 ->> 数据/业务接口平台: 4.1、认证信息匹配本地账号失败，则使用认证信息创建账号
开发者 ->> 数据/业务接口平台: 4.2、调用用户详情接口：https://api_server_url/user/info，获取用户详情，作为本地用户详情数据
数据/业务接口平台 --> 开发者: 4.3、“业务系统/平台” 本地账号、用户信息建立关联，统一身份认证接入完成！
```