## 获取临时授权码 code

#### 接口描述：

> 通过身份认证，获取临时授权码 code

#### 接口地址:

- https://cas_server_url/oauth2.0/authorize

参考地址

> https://cas_server_url/oauth2.0/authorize?response_type=code&client_id=yourclient&redirect_uri=https://my_server_url/casLogin

#### 请求方式：

- GET

#### 请求头：

| 参数名称         | 参数说明     |     请求类型 |  是否必须      |  数据类型   |  schema  |
| ------------ | ---------------- ---------------- |-----------|--------|----|--- |
| 无     |      |             |             |    |      |

#### 请求参数:

| 参数名称         | 参数说明     |     请求类型 |  是否必须      |  数据类型   |  schema  |
| ------------ | -------------------------------- |-----------|--------|----|--- |
| client_id    | 应用审核通过后返回的client_id  |  query   |   true  | string   |      |
| response_type   | 返回类型，填写为code   |  query   |   true  | string   |      |
| redirect_uri    | 回调地址，应用接入第二步中填写的请求地址  |  query  |  true  | string  |    |
| state         | 重定向后会带上state参数，该参数可用于防止csrf攻击（跨站请求伪造攻击），建议第三方带上该参数，可设置为简单的随机数加session进行校验   |  query   |   false  | string   |      |

#### 响应状态

| 状态码         | 说明                             |    schema                         |
| ------------ | -------------------------------- |---------------------- |
| 200         | OK                        |                         |


#### 返回说明

用户授权成功后将会重定向到redirect_uri的网址上，并且带上code和state参数redirect_uri?code=CODE&state=STATE

>注意：跳转回调redirect_uri，应当使用https链接来确保授权code的安全性