## OAuth2.0 协议接入流程说明

> OAuth2.0 协议 - 适用B/S架构的系统，基于无状态的 accessToken 实现单点登录，目前统一身份认证平台支持以下四种接入模式：

- 授权码模式（Authorization Code）：统一身份认证平台，提供统一登录页面，完成认证后携带access_token跳转回“业务系统/平台”
- 隐式授权模式（ Implicit）：统一身份认证平台，提供统一登录页面，完成认证后携带access_token跳转回“业务系统/平台”
- 密码凭证模式（Password Credentials）：“业务系统/平台” 自己提供登录界面，通过接口对接方式完成认证
- 客户端凭证模式（Client Credentials）：“业务系统/平台” 自己提供登录界面，通过接口对接方式完成认证

#### 接入流程

> 开发者可参考一下流程进行业务系统的统一身份认证接入！

```seq
Note over 开发者,统一身份认证平台: Step 1、在开放平台创建应用
统一身份认证平台 --> 开发者: 1.1、应用审核通过后返回应用的 client_id、client_secret
Note over 开发者,数据/业务接口平台: Step 2、为应用申请认证接口、数据接口、业务接口
开发者 -> 数据/业务接口平台: 2.1、申请认证接口、数据接口、业务接口等需要的接口调用
Note left of 数据/业务接口平台: 应用服务组织机构的“API授权审核管理员”审核接口申请
数据/业务接口平台 --> 开发者: 2.2、授权通过申请的认证接口、数据接口、业务接口
Note over 开发者,统一身份认证平台: Step 3、选择合适的OAuth2.0接入模式，编写认证集成代码
开发者 -> 统一身份认证平台: 3.1、“业务系统/平台” 选择合适的接入模式
开发者 -> 统一身份认证平台: 3.2、开发者了解不同模式的对接方式，编写认证代码和配置
开发者 -> 统一身份认证平台: 3.3、开发者根据 “认证文档” 自主进行认证联调：https://cas_server_url/oauth2.0/authorize
统一身份认证平台 --> 开发者: 3.4、统一身份认证平台返回 access_token 或 自主获取 access_token
Note over 开发者,数据/业务接口平台: Step 4、使用 access_token 获取认证用户信息，匹配本地账号，完成认证账号关联
开发者 ->> 数据/业务接口平台: 4.1、调用用户认证信息接口：https://cas_server_url/oauth2.0/profile，获取用户认证信息
开发者 ->> 数据/业务接口平台: 4.2、认证信息匹配本地账号失败，则使用认证信息创建账号
开发者 ->> 数据/业务接口平台: 4.3、如果用户认证信息不满足要求，可调用用户详情接口：https://api_server_url/user/info，获取用户详情，作为本地用户详情数据
数据/业务接口平台 --> 开发者: 4.4、“业务系统/平台” 本地账号、用户信息建立关联，统一身份认证接入完成！
```