## 直接获取 access_token

#### 接口描述：

> 直接获取授权令牌 access_token

#### 接口地址:

- https://cas_server_url/oauth2.0/authorize

参考地址

>  https://cas_server_url/oauth2.0/authorize?response_type=token&client_id=clientxxx&redirect_uri=https://my_server_url/callback

#### 请求方式：

- GET

#### 请求头：

| 参数名称         | 参数说明     |     请求类型 |  是否必须      |  数据类型   |  schema  |
| ------------ | ---------------- ---------------- |-----------|--------|----|--- |
| 无     |      |             |             |    |      |

#### 请求参数:

| 参数名称         | 参数说明     |     请求类型 |  是否必须      |  数据类型   |  schema  |
| ------------ | -------------------------------- |-----------|--------|----|--- |
| client_id    | 应用审核通过后返回的client_id  |  query   |   true  | string   |      |
| response_type   | 返回类型，填写为token  |  query   |   true  | string   |      |
| redirect_uri    | 回调地址，应用接入第二步中填写的首页地址  |  query  |  true  | string  |    |

用户授权后，浏览器重定向redirect_uri指定的网址，并带上令牌，注意，这个跳转地址后面带参数必须是#。

https://my_server_url/callback#token=${access_token}

开发者可在回调地址的接口上实现access_token的解析：

```java
URIBuilder uribuilder = new URIBuilder("https://my_server_url/callback#token=access_token");
System.out.println(uribuilder.getFragment());
```

#### 响应状态

| 状态码         | 说明                             |    schema                         |
| ------------ | -------------------------------- |---------------------- |
| 200         | OK                        |                         |