## Sequence 时序图（顺序图）

#### 关键字

- title，定义序列图的标题

- participant，定义时序图中的对象

- note，定义对时序图中的部分说明

- 方位控制
	- left of，表示当前对象的左侧
	- right of，表示当前对象的右侧
	- over，表示覆盖在当前对象（们）的上面

- {actor}，表示时序图中的具体对象（名称自定义）

- 箭头分为以下几种：
	- -> 表示实线实箭头
	- –> 表示虚线实箭头
	- ->> 表示实线虚箭头
	- –>> 表示虚线虚箭头

#### example

```seq
title: 序列图sequence 示例
# participant, 参与者
participant A
participant B
participant C

note left of A: A左侧说明
note over B: 覆盖B的说明
note over A,B: 覆盖A-B的说明
note over A,C: 覆盖A-C的说明
note right of C: C右侧说明

# - 代表实线, -- 代表虚线; > 代表实箭头, >> 代表虚箭头
A->A:自己到自己
A->B:实线实箭头
A-->C:虚线实箭头
B->>C:实线虚箭头
B-->>A:虚线虚箭头
```

序列图sequence 示例AABBCCA左侧说明覆盖B的说明C右侧说明自己到自己实线实箭头虚线实箭头实线虚箭头虚线虚箭头

定义可以省略如

```seq
A->B: 吃饭了没？
# 可在文本中使用换行符\n
note right of B: B思考n秒\n如何回答
B--A: 吃过了。你咧？
A->>B: 吃过了，吃过了！
```
AABB吃饭了没？B思考n秒 如何回答吃过了。你咧？吃过了，吃过了！